Bug 1276634 - Nodes names in Business Process doesn't support multi byte chars on Windows
Nodes names in Business Process doesn't support multi byte chars on Windows
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All Windows
high Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 06:40 EDT by Kirill Gaevskii
Modified: 2016-01-08 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FindBugs for designer with localization warnings (527.90 KB, text/html)
2015-11-09 09:32 EST, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-10-30 06:40:12 EDT
Description of problem:
If you set name of some element with multi byte chars on Windows and reopen the Business Process it will contain question mark instead of typed symbols.   

Version-Release number of selected component (if applicable):
6.2.ER4

How reproducible:
always

Steps to Reproduce:
1. Create new Business Process
2. Set name for StartEvent: "myname_ěščř"
3. Save and reopen the Business Process

Actual results:
Start Event has name "myname_?�??"

Expected results:
Start Event has name "myname_ěščř"

Additional info:
Reproducible only when bpmn server runs on Windows Machine.
Comment 1 Kirill Gaevskii 2015-11-09 09:32:05 EST
FYI:

Findbugs found 28 potential localization problems (see Attachment "Internationalization Warnings" section)
Comment 2 Kirill Gaevskii 2015-11-09 09:32 EST
Created attachment 1091765 [details]
FindBugs for designer with localization warnings

Note You need to log in before you can comment on or make changes to this bug.